<?php
//  レポート管理システム  Ver. 0.1
//
//  管理者用
//      現在のレポート確認・削除モード変更 ./doc
//      過去のレポート確認 ./r1 ～ ./r20  第1回から第20回まで
session_start();
include("../param.inc");
include("report.ini");

function getIDfromFname($fname) //  最初の'-'より前の文字列をIDと判断する
{
    $id = mb_substr($fname, 0, strpos($fname,'-'));
    return $id;
}

function listing_filename($curPath, $no_id, $uname_id)
{
	//  レポート一覧の表示
	$filelist = NULL;
	$d=dir($curPath);
	while($entry=$d->read()){
		if ($entry!="." && $entry!=".."){

////////////////////  最初の'-'より前の文字列をIDと判断する
                        $id = getIDfromFname($entry);
////////////////////
			$strTmp=$curPath."/".$entry;
			$aryInfo=pathinfo($strTmp);
			if (!is_dir($strTmp) && ($entry != "index.html") && ($id != "")) {    // ディレクトリかindex.htmlでなければ
					// id から 出席番号, 氏名を調べ
					// 出席番号，      氏名，      ファイルパス，   ファイル名
				$filelist[] = $no_id[$id] . "," . $uname_id[$id] . "," . $strTmp . "," . $entry;
			}
		}
	}
	$d->close();
	$n = count($filelist);  // ファイル数
	if ($n > 0) {
		if (file_exists($curPath . "/error.csv")) {  // エラーコメントフィルが存在するとき
			$error_list = array();
			$fp = fopen($curPath . "/error.csv","r");
                        while ($data = fgets($fp)) {
                           $f = explode(",",$data);
                           $error_list[$f[0]] = htmlspecialchars($f[1]);
			}
			fclose($fp);
			$f="";
		}
		usort($filelist, "sort_by_no_report");  /* 出席番号,ファイル名順にソート */
	        $tmp_no = -1;
		for ($i = 0; $i < $n; $i++) { //個人ファイル数
			$val1 = explode(",", $filelist[$i]); /* カンマで分割 */
			if($val1[0] != $tmp_no) {
                    	$file_count[$val1[0]] = 1;
		    	$tmp_no = $val1[0];
                	}
			else if($val1[0] == $tmp_no) $file_count[$val1[0]] += 1;
		}

		print('<TABLE border="1">');
		print("<TR>");
		print("<TH>No</TH><TH>氏   名</TH><TH>ファイル名</TH><TH>コメント</TH>");
		print("</TR>");
		$tmp_no = -1;
		for ($i = 0; $i < $n; $i++) {
			$val = explode(",", $filelist[$i]); /* カンマで分割 */
			print("<TR>");
			if ($val[0] != $tmp_no) print("<TD nowrap rowspan=". $file_count[$val[0]] ."> $val[0] </TD><TD nowrap rowspan=". $file_count[$val[0]] ."> $val[1] </TD>");
                           print("<TD nowrap><A href='" . $val[2] . "'>" . $val[3] . "</A></TD>");
			print("<TD nowrap>");
			$f = $val[3];
//			print("<input type='text' name='$val[3]' size='80'");
			if (isset($error_list[$f])) // エラーコメントがあるとき
//				print(" value='$error_list[$f]'");
				print($error_list[$f]);
//			print("></input>");
			print("</TD>");
			print("</TR>\n");
			$tmp_no = $val[0];
		}
		print("</TABLE>\n");
	} else print_error("提出されたレポートはありません");
	return $n;
}

print_header("レポート");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('ログインしてください');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>ログインページへ</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('あなたは管理者ではありません');");
	print("</SCRIPT>");
} else {
	print_headline("レポートのコメント"); 
	?>

<FORM method="POST" action="webrepo_admin_comment.php">
<CENTER>
<?php
print_title1("過去のレポートコメント");
$path = 0;
for ($i=1; $i<=20; $i++) {
	$x = "r" . $i;
	if (is_dir($x)) {
		if (isset($_POST["$x"])) $path = $i;
		print('<INPUT type="submit" value="第' . $i . '回" name="' . $x . '">　');
	}
}
print("</FORM>");
if ($path > 0) {
	print("<H4>第 $path 回レポート</H4>\n");
        $_SESSION['PATH'] = "./r" . $path;
        if (file_exists($_SESSION['PATH'] . "/error.csv")) {
           $t = date("Y/m/d", filemtime($_SESSION['PATH'] . "/error.csv"));
           print("<LI><A href='" . $_SESSION['PATH'] . "/error.csv'>コメントのダウンロード</A>　確認日付：$t<BR>");
        }
        print('<FORM method="POST" enctype="multipart/form-data" action="webrepo_admin_comment_up.php">');
        print('<INPUT type="hidden" name="MAX_FILE_SIZE" value="100000">');
        print('コメントのアップロード：<INPUT type="file" name="userfile" size="40">');
        print('<INPUT type="submit" value="送信" name="up"></FORM><HR>');
	listing_filename("./r" . $path, $_SESSION['no_id'],$_SESSION['uname_id']);
}
print("</CENTER>");
} print_copyright();
?>
</BODY>
</HTML>
